# $Id: smeserver-ocsinventory.spec,v 1.9 2010/05/04 07:43:20 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Open Computer and Software Inventory Next Generation (SME Server integration)
%define name smeserver-ocsinventory
Name: %{name}
%define version 0.1
%define release 11
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-ocsinventory-0.1-modPerl2.patch
Patch2: smeserver-ocsinventory-0.1-db_config_path.patch
Patch3: smeserver-ocsinventory-0.1-templates2expand.patch
Patch4: smeserver-ocsinventory-0.1-panel.patch
Patch5: smeserver-ocsinventory-0.1-expand_mysql_fragment.patch
Patch6: smeserver-ocsinventory-0.1-open_basedir.patch
Patch7: smeserver-ocsinventory-0.1-update_path.patch
Patch8: smeserver-ocsinventory-0.1-perl_version.patch
Patch9: smeserver-ocsinventory-0.1-cert_change.patch
Patch10: smeserver-ocsinventory-0.1-expand_php_ini.patch
Patch11: smeserver-ocsinventory-0.1-inventory_access.patch
Patch12: smeserver-ocsinventory-0.1-check_zero_size.patch

URL: http://sme.firewall-services.com
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 7.0
Requires: ocsinventory-server
Requires: ocsinventory-reports

Conflicts: smeserver-inventory-tools

%description
Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of the
computers configuration and software that are installed on the network.

OCS Inventory is also able to detect all active devices on your network,
such as switch, router, network printer and unattended devices.

OCS Inventory NG includes package deployment feature on client computers

%changelog
* Tue May 04 2010 Daniel B. <daniel@firewall-services.com> 0.1-11.sme
- Check if cacert size is zero

* Thu Jun 18 2009 Daniel B. <daniel@firewall-services.com> 0.1-10
- Fixe inventory access

* Mon Jun 15 2009 Daniel B. <daniel@firewall-services.com> 0.1-9
- expand php.ini template during ocs-update event

* Wed Mar 25 2009 Daniel B. <daniel@firewall-services.com> 0.1-8
- Should work with any perl version
- Update cacert if it has changed

* Thu Mar 19 2009 Daniel B. <daniel@firewall-services.com> 0.1-7
- Update paths to the new "download" directory /var/lib/ocsinventory-reports

* Wed Mar 18 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- Correct openbasedir directive so package creation works

* Mon Mar 16 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Conflicts with smeserver-inventory-tools

* Tue Dec 09 2008 Daniel B. <daniel@firewall-services.com> 0.1-4
- Add a link in the server-manager
- expand mysql fragment during ocs-update event

* Tue Oct 21 2008 Daniel B. <daniel@firewall-services.com> 0.1-3
- correct templates2expand for ocs-update event

* Wed Oct 17 2008 Daniel B. <daniel@firewall-services.com> 0.1-2
- Compatibility with mod_perl 2
- Change config path

* Thu Sep 10 2008 Daniel B. <daniel@firewall-services.com> 0.1-0
- Initial RPM


%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-, root, root, -)

%clean
rm -rf $RPM_BUILD_ROOT


